Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::GalleryItemVideo Class Reference

A gallery video. More...

Inheritance diagram for ArgusSamples::GalleryItemVideo:

List of all members.

## Public Member Functions
| GalleryItemVideo (const char *fileName, time_t modTime)
virtual | ~GalleryItemVideo ()
EGLStreamKHR | getEGLStream () const
GalleryItem methods
virtual Type | getType () const
| Get the item type.
virtual bool | initialize ()
| Initialize.
virtual bool | shutdown ()
| shutdown
virtual bool | startDisplay ()
| Start the display.
virtual bool | pauseDisplay ()
| Pause the display.
virtual bool | togglePlayBack ()
| Toggle playback.
virtual bool | rewind ()
| Rewind.
Public Member Functions inherited from ArgusSamples::GalleryItem
| GalleryItem (const char *fileName, time_t modTime)
virtual | ~GalleryItem ()
const std::string & | getFileName () const
| Get the file name.

## Private Attributes
VideoPipeline * | m_pipeline
EGLStreamKHR | m_eglStream
| ! playback pipeline

## Additional Inherited Members
Public Types inherited from ArgusSamples::GalleryItem
enum | Type { TYPE_IMAGE, TYPE_VIDEO, TYPE_INVALID }
| item types More...
Protected Member Functions inherited from ArgusSamples::GalleryItem
| GalleryItem ()
Protected Attributes inherited from ArgusSamples::GalleryItem
std::string | m_fileName
time_t | m_modTime

## Detailed Description

A gallery video.

Outputs to an EGL stream.

Definition at line 293 of file Gallery.cpp.

## Constructor & Destructor Documentation

ArgusSamples::GalleryItemVideo::GalleryItemVideo | ( | const char * | fileName,
|  | time_t | modTime
| ) |  |
| inline

Definition at line 296 of file Gallery.cpp.

virtual ArgusSamples::GalleryItemVideo::~GalleryItemVideo | ( |  | ) |
| inline virtual

Definition at line 303 of file Gallery.cpp.

## Member Function Documentation

EGLStreamKHR ArgusSamples::GalleryItemVideo::getEGLStream | ( |  | ) | const
| inline

Definition at line 322 of file Gallery.cpp.

virtual Type ArgusSamples::GalleryItemVideo::getType | ( |  | ) | const
| inline virtual

Get the item type.

Implements ArgusSamples::GalleryItem.

Definition at line 310 of file Gallery.cpp.

bool ArgusSamples::GalleryItemVideo::initialize | ( |  | ) |
| virtual

Initialize.

Implements ArgusSamples::GalleryItem.

Definition at line 332 of file Gallery.cpp.

bool ArgusSamples::GalleryItemVideo::pauseDisplay | ( |  | ) |
| virtual

Pause the display.

Reimplemented from ArgusSamples::GalleryItem.

Definition at line 376 of file Gallery.cpp.

bool ArgusSamples::GalleryItemVideo::rewind | ( |  | ) |
| virtual

Rewind.

Reimplemented from ArgusSamples::GalleryItem.

Definition at line 394 of file Gallery.cpp.

bool ArgusSamples::GalleryItemVideo::shutdown | ( |  | ) |
| virtual

shutdown

Implements ArgusSamples::GalleryItem.

Definition at line 355 of file Gallery.cpp.

bool ArgusSamples::GalleryItemVideo::startDisplay | ( |  | ) |
| virtual

Start the display.

Reimplemented from ArgusSamples::GalleryItem.

Definition at line 366 of file Gallery.cpp.

bool ArgusSamples::GalleryItemVideo::togglePlayBack | ( |  | ) |
| virtual

Toggle playback.

Reimplemented from ArgusSamples::GalleryItem.

Definition at line 385 of file Gallery.cpp.

## Member Data Documentation

EGLStreamKHR ArgusSamples::GalleryItemVideo::m_eglStream
| private

! playback pipeline

Definition at line 329 of file Gallery.cpp.

VideoPipeline* ArgusSamples::GalleryItemVideo::m_pipeline
| private

Definition at line 328 of file Gallery.cpp.

The documentation for this class was generated from the following file:

- modules/tasks/Gallery.cpp